Get bulk ColdSend inbox creation progress
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"status": "<string>",
"progress_percentage": 123,
"total": 123,
"processed_count": 123,
"success_count": 123,
"failed_count": 123,
"skipped_count": 123,
"results": [
{
"email_prefix": "<string>",
"display_name": "<string>",
"status": "<string>",
"email_address": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"estimated_completion": "2023-11-07T05:31:56Z",
"last_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sender Accounts
Get bulk ColdSend inbox creation progress
Track the progress of a bulk ColdSend inbox creation job
Returns real-time progress including:
- Overall job status and progress percentage
- Success/failure/skipped counts
- Individual per-inbox creation results
- Estimated completion time
Use the job_id from the POST /sender-accounts/coldsend-native/bulk response.
GET
/
api
/
public
/
v1
/
sender-accounts
/
coldsend-native
/
bulk
/
{job_id}
/
progress
Get bulk ColdSend inbox creation progress
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts/coldsend-native/bulk/{job_id}/progress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"status": "<string>",
"progress_percentage": 123,
"total": 123,
"processed_count": 123,
"success_count": 123,
"failed_count": 123,
"skipped_count": 123,
"results": [
{
"email_prefix": "<string>",
"display_name": "<string>",
"status": "<string>",
"email_address": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"estimated_completion": "2023-11-07T05:31:56Z",
"last_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Response
Job progress retrieved
Progress response for a bulk ColdSend inbox creation job.
Job ID
Domain ID
Domain name
Job status (PENDING, IN_PROGRESS, COMPLETED, FAILED)
Progress percentage (0-100)
Total inboxes in job
Number of inboxes processed so far
Number of successfully created inboxes
Number of failed creations
Number of skipped (duplicate) inboxes
Per-inbox creation results
Show child attributes
Show child attributes
Processing start time
Processing completion time
Estimated completion time
Last error encountered, if any
Was this page helpful?

